V20.0
get
/ec-designer-edc-svc/rest/v20.0/studies/{studyId}/versions/{version}/visits/{visitid}/forms
Returns forms assigned to a visit in v20.0. Compared with v19.0, this endpoint uses v20 visit-form retrieval and supports details/summary response behavior.
Request
Path Parameters
-
studyId(required): string
Study ID (UUID, 32-character uppercase hexadecimal string). Required.
-
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1 -
visitid(required): string(uuid)
Visit ID (UUID, 32-character uppercase hexadecimal string). Required.
Query Parameters
-
asofdate: string
-
dynamicData: boolean
Include dynamic data in response (optional).Default Value:
true -
excludeItemType: string
Form item type to exclude (optional). Allowed value: instructionalText.Allowed Values:
[ "instructionalText" ] -
mode(required): string
Study mode filter. Required. Allowed values: test, training, active, design.Default Value:
designAllowed Values:[ "test", "training", "active", "design" ] -
response: string
Response mode (optional): summary or details.Default Value:
summary
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Visit forms returned successfully.
Root Schema : schema
Type:
Show Source
array-
Array of:
object FormDto v21.0
Title:
FormDto v21.0Form Info
Nested Schema : FormDto v21.0
Type:
objectTitle:
FormDto v21.0Form Info
Show Source
-
allowMultipleInstances: boolean
Allow multiple instancesExample:
true -
assignedVisits: array
assignedVisits
Branch-cycle details describing visits where this form is displayed.
-
dynamic: integer
(int32)
Count of forms items that point to this form for Show Form featureExample:
4 -
formCategory: string
Form categoryExample:
DCS -
formSubcategory: array
formSubcategory
Form subcategory list.
-
formType: string
Allowed Values:
[ "STANDARD_FORM", "LAB_FORM", "TWO_SECTION_FORM", "DRUG_RECONCILIATION_FORM", "STANDARD_FORM, LAB_FORM, TWO_SECTION_FORM" ]Form typeExample:STANDARD_FORM -
hasRevision: boolean
Indicate whether any revisions from a newer study version have been appliedExample:
true -
id: string
(uuid)
Form ID (UUID).
-
includeInSafetyCaseData: boolean
Is form associated to Safety Case FormsExample:
true -
items: array
items
Form item definitions.
-
linkFrom: array
linkFrom
Forms linked to this form.
-
logoFileName: string
Logo file name.Example:
study-logo.png -
logoFileUploadRequest: object
FileUploadRequest
Logo upload request details.
-
refname(required): string
Minimum Length:
1Maximum Length:64Form refnameExample:FORM_01 -
repeat: boolean
Form repeating?Example:
false -
showFrom: array
showFrom
Dynamic parent dependencies from forms on the same visit.
-
source: object
FormCopySourceDto v21.0
Title:
FormCopySourceDto v21.0Form Copy Source Information -
title(required): string
Minimum Length:
1Maximum Length:64Form titleExample:Demography -
versionStart: string
(date-time)
The form version start timestamp.Example:
2025-04-30T09:24:15Z
Nested Schema : assignedVisits
Type:
arrayBranch-cycle details describing visits where this form is displayed.
Show Source
-
Array of:
object From Item Advanced Property With Parent v21.0
Title:
From Item Advanced Property With Parent v21.0Form Item Advanced Property with Parent Info
Example:
[
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"label":"VISIT_1"
}
]Nested Schema : formSubcategory
Type:
arrayForm subcategory list.
Show Source
-
Array of:
string
Form subcategory list.Example:
["SCREENING","BASELINE"]
Example:
[
"SCREENING",
"BASELINE"
]Nested Schema : items
Type:
arrayForm item definitions.
Show Source
-
Array of:
object FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Form Item Information
Example:
[
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"formId":"B1B8327AFAA6412287106192AB5984EA",
"questionType":"numeric",
"questionLabel":"Age",
"refname":"AGE_01",
"required":true,
"sdvRequired":"NEVER"
}
]Nested Schema : linkFrom
Type:
arrayForms linked to this form.
Show Source
-
Array of:
object FormLinkFromDto v21.0
Title:
FormLinkFromDto v21.0Linked From Form Details
Example:
[
{
"formId":"B1B8327AFAA6412287106192AB5984EF",
"items":[
"B1B8327AFAA6412287106192AB5984EA"
]
}
]Nested Schema : FileUploadRequest
Type:
objectLogo upload request details.
Show Source
-
contentType: string
File content type.Example:
image/png -
fileName(required): string
File nameExample:
File1001 -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test, active, or training -
name(required): string
Random name for bucket where file uploadedExample:
1A73BC4FE4954AE4AC50DDF9729F80BE
Example:
{
"name":"1A73BC4FE4954AE4AC50DDF9729F80BE",
"mode":"design",
"fileName":"study-logo.png",
"contentType":"image/png"
}Nested Schema : showFrom
Type:
arrayDynamic parent dependencies from forms on the same visit.
Show Source
-
Array of:
object FormLinkFromDto v21.0
Title:
FormLinkFromDto v21.0Linked From Form Details
Example:
[
{
"formId":"B1B8327AFAA6412287106192AB5984EF",
"items":[
{
"id":"B1B8327AFAA6412287106192AB5984EA",
"label":"PARENT_ITEM"
}
],
"parentAssignedVisits":[
{
"id":"B1B8327AFAA6412287106192AB5984EB",
"label":"VISIT_1"
}
]
}
]Nested Schema : FormCopySourceDto v21.0
Type:
objectTitle:
FormCopySourceDto v21.0Form Copy Source Information
Show Source
-
formId: string
(uuid)
Source form ID (UUID).
-
rules: boolean
Indicates whether rules were copied from the source form.Example:
false -
studyId: string
(uuid)
Source study ID (UUID).
-
studyTitle: string
Source study title.Example:
Study-s1 -
versionStart: string
(date-time)
Source version start timestamp.Example:
2025-04-30T09:24:15Z
Example:
{
"studyId":"B1B8327AFAA6412287106192AB5984EF",
"studyTitle":"Study-s1",
"formId":"B1B8327AFAA6412287106192AB5984EA",
"versionStart":"2025-04-30T09:24:15Z",
"rules":false
}Nested Schema : From Item Advanced Property With Parent v21.0
Type:
objectTitle:
From Item Advanced Property With Parent v21.0Form Item Advanced Property with Parent Info
Show Source
-
id: string
(uuid)
Extended property ID (UUID).
-
label: string
Rollover study nameExample:
Rollover Study BT-31 -
name: string
Advanced property nameExample:
RolloverQuestionStudyId -
parentObjectId: string
(uuid)
Parent object ID (UUID).
-
parentObjectLabel: string
parent object nameExample:
Form 1 -
parentObjectLevel: string
type of parent objectExample:
FORM -
rules: array
rules
Advanced property rules list.
-
type: string
Advanced property type.Example:
RolloverQuestion -
value: string
Advanced property value. For example, rollover study UUIDExample:
B1B8327AFAA6412287106192AB5984EF
Nested Schema : rules
Type:
arrayAdvanced property rules list.
Show Source
-
Array of:
object FormItemAdvancedPropRuleDto v21.0
Title:
FormItemAdvancedPropRuleDto v21.0Form Item Advanced Property Rule
Example:
[
{
"name":"RolloverQuestionAnswer",
"value":"B1B8327AFAA6412287106192AB5984EF",
"label":"Yes"
}
]Nested Schema : FormItemAdvancedPropRuleDto v21.0
Type:
objectTitle:
FormItemAdvancedPropRuleDto v21.0Form Item Advanced Property Rule
Show Source
-
label: string
Rule label.Example:
Yes -
name: string
Rule name.Example:
RolloverQuestionAnswer -
value: string
Rule value.Example:
B1B8327AFAA6412287106192AB5984EF
Nested Schema : FormItemDto v21.0
Type:
objectTitle:
FormItemDto v21.0Discriminator: questionType
Discriminator Values
Form Item Information
Show Source
-
advancedProps: array
advancedProps
-
applyChangeToVersion: string
For IPR apply change to versionExample:
1.0.0.1 -
clLabNormalsTag: string
Code list Lab Normals Tag used in the code list dialog taggingExample:
LabTest, LabUnit, LabGender, LabRace, LabStandardResult -
dataClassificationIds: array
dataClassificationIds
Data classification entries.
-
dataClassificationLevel: string
Data classification level if applicableExample:
edit, view -
dynamic: integer
(int32)
How many leading questions in this form have to be answered by user correctly before Item is included into the form.Example:
1 -
e2br3Mapping: array
e2br3Mapping
E2B R3 mapping entries.
-
formId: string
(uuid)
Form ID (UUID).
-
formTitle: string
Form titleExample:
Demography -
formula: string
Smart item formula.Example:
[{'ruleName':'AGE','ruleExpression':'AgeInYears(AGE_DOB_01, visitDate)'}] -
groupSequence: integer
(int32)
Group sequence.Example:
3 - hidden: boolean
-
id: string
(uuid)
Form item ID (UUID).
-
isCohortFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization cohort or not.Example:
false -
isStrataFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization stratum or not.Example:
false -
labNormalsTag: string
Lab Normals Tag used in dialog taggingExample:
LabTest, LabUnit, LabLowRange, LabHighRange, LabStandardResult -
questionHint: string
Minimum Length:
0Maximum Length:4000Form question hintExample:What is your age? -
questionLabel(required): string
Minimum Length:
1Maximum Length:4000Form question labelExample:Age -
questionType(required): string
Title:
FormItemTypeAllowed Values:[ "text", "instructionalText", "numeric", "datetime", "choice", "questionGroup", "table", "label", "section", "existingData", "fileUpload" ]Question typeExample:numeric -
randomizationTag: boolean
Flag that indicates whether this form item should be used for randomization stratification or not.Example:
true -
readOnly: boolean
Is form item read only?Example:
false -
refname(required): string
Minimum Length:
1Maximum Length:64Form item reference name.Example:NUMBER_01 -
required(required): boolean
Whether this form item is requiered or not.Example:
true -
requiredDispensation: boolean
Form items tagged as dispensation will are used as the minimum data collected on a Dispensation Event.Example:
false -
requiredForCaseCreate: boolean
Form items tagged as required for case create are mandatory as the minimum data collected on a Safety Case collection.Example:
false -
requiredRandomization: boolean
Form items tagged as randomization will are used as the minimum data collected on a Randomization Event.Example:
false -
requiredScreening: boolean
Form items tagged as screening will are used as the minimum data collected on a Screening Event.Example:
false -
ruleSet: string
A JSON-formatted set of rules to do validation of the answers.Example:
{'logicalOperator':'NONE','rules':[],'numberIndex':1} -
sasLabel: string
Form Item sasLabelExample:
Adverse Event -
sasVariable: string
Form Item SASVariableExample:
AE -
sdvRequired(required): string
Allowed Values:
[ "NOTSET", "NEVER", "ALWAYS", "CRITICAL" ]Source Data Verification TypeExample:NEVER(0),ALWAYS(1),CRITICAL(2) -
sequence: integer
(int32)
Item position in the form.Example:
1 -
smartItemId: string
(uuid)
Smart item ID (UUID).
-
smartObject: string
Smart object.Example:
AGE -
triggerFollowupCase: boolean
Form items tagged as trigger followup case are having safety rules enabled for safety rules creation.Example:
false -
visitIds: array
visitIds
Visits associated
Match One Schema
Show Source
-
object
FormNumberItemDto v21.0
Title:
FormNumberItemDto v21.0Form Number Item Details Information -
object
FormChoiceItemDto v21.0
Title:
FormChoiceItemDto v21.0Form Choice Item Details Information -
object
FormTextItemDto v21.0
Title:
FormTextItemDto v21.0Form text Item Details Information -
object
FormDatetimeItemDto v21.0
Title:
FormDatetimeItemDto v21.0Form DateTime Item Details Information -
object
FormQuestionGroupItemDto v21.0
Title:
FormQuestionGroupItemDto v21.0Form Question Group Item Details Information -
object
FormTableItemDto v21.0
Title:
FormTableItemDto v21.0Form Table Item Details Information -
object
FormSectionalItemDto v21.0
Title:
FormSectionalItemDto v21.0Form Sectional Item Details Information -
object
FormLabelItemDto
-
object
FormInstructionalTextItemDto v21.0
Title:
FormInstructionalTextItemDto v21.0Form Instructional Text Item Details Information -
object
FormExistingDataItemDtov21
Form existing data item Information
-
object
FormFileUploadItemDto v21.0
Title:
FormFileUploadItemDto v21.0Form File Upload Item Details Information
Nested Schema : advancedProps
Type:
Show Source
array-
Array of:
object FormItemAdvancedPropDto v21.0
Title:
FormItemAdvancedPropDto v21.0Form Item Advanced Property
Nested Schema : dataClassificationIds
Type:
arrayData classification entries.
Show Source
-
Array of:
object FormItemAdvancedPropDto v21.0
Title:
FormItemAdvancedPropDto v21.0Form Item Advanced Property
Example:
[
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"type":"DATA_CLASSIFICATION",
"name":"CLASSIFICATION_ID",
"value":"B1B8327AFAA6412287106192AB5984EF",
"label":"Confidential"
}
]Nested Schema : e2br3Mapping
Type:
arrayE2B R3 mapping entries.
Show Source
-
Array of:
object FormItemAdvancedPropDto v21.0
Title:
FormItemAdvancedPropDto v21.0Form Item Advanced Property
Example:
[
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"type":"E2BR3",
"name":"E2B_FIELD",
"value":"PATIENT_AGE",
"label":"Patient Age"
}
]Nested Schema : visitIds
Type:
arrayVisits associated
Show Source
-
Array of:
string(uuid)
Visits associated
Example:
[B1B8327AFAA6412287106192AB5984EF, B1B8327AFAA6412287106192AB5984EA]Nested Schema : FormNumberItemDto v21.0
Type:
objectTitle:
FormNumberItemDto v21.0Form Number Item Details Information
Match All
Form Number Item Details Information
Form Number Item Details Information
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Form Item Information -
object
FormNumberItemDto v21.0-allOf[1]
Nested Schema : FormChoiceItemDto v21.0
Type:
objectTitle:
FormChoiceItemDto v21.0Form Choice Item Details Information
Match All
Form Choice Item Details Information
Form Choice Item Details Information
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Form Item Information -
object
FormChoiceItemDto v21.0-allOf[1]
Nested Schema : FormTextItemDto v21.0
Type:
objectTitle:
FormTextItemDto v21.0Form text Item Details Information
Match All
Form text Item Details Information
Form text Item Details Information
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Form Item Information -
object
FormTextItemDto v21.0-allOf[1]
Nested Schema : FormDatetimeItemDto v21.0
Type:
objectTitle:
FormDatetimeItemDto v21.0Form DateTime Item Details Information
Match All
Form DateTime Item Details Information
Form DateTime Item Details Information
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Form Item Information -
object
FormDatetimeItemDto v21.0-allOf[1]
Nested Schema : FormQuestionGroupItemDto v21.0
Type:
objectTitle:
FormQuestionGroupItemDto v21.0Form Question Group Item Details Information
Match All
Form Question Group Item Details Information
Form Question Group Item Details Information
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Form Item Information -
object
FormQuestionGroupItemDto v21.0-allOf[1]
Nested Schema : FormTableItemDto v21.0
Type:
objectTitle:
FormTableItemDto v21.0Form Table Item Details Information
Match All
Form Table Item Details Information
Form Table Item Details Information
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Form Item Information -
object
FormTableItemDto v21.0-allOf[1]
Nested Schema : FormSectionalItemDto v21.0
Type:
objectTitle:
FormSectionalItemDto v21.0Form Sectional Item Details Information
Match All
Form Sectional Item Details Information
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Form Item Information
Nested Schema : FormLabelItemDto
Type:
objectMatch All
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Form Item Information -
object
FormLabelItemDto-allOf[1]
Nested Schema : FormInstructionalTextItemDto v21.0
Type:
objectTitle:
FormInstructionalTextItemDto v21.0Form Instructional Text Item Details Information
Match All
Form Instructional Text Item Details Information
Form Instructional Text Item Details Information
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Form Item Information -
object
FormInstructionalTextItemDto v21.0-allOf[1]
Nested Schema : FormExistingDataItemDtov21
Type:
objectForm existing data item Information
Match All
Form existing data item Information
Form existing data item Information
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Form Item Information -
object
FormExistingDataItemDtov21-allOf[1]
Nested Schema : FormFileUploadItemDto v21.0
Type:
objectTitle:
FormFileUploadItemDto v21.0Form File Upload Item Details Information
Match All
Form File Upload Item Details Information
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Form Item Information
Nested Schema : FormItemAdvancedPropDto v21.0
Type:
objectTitle:
FormItemAdvancedPropDto v21.0Form Item Advanced Property
Show Source
-
id: string
(uuid)
Extended property ID (UUID).
-
label: string
Rollover study nameExample:
Rollover Study BT-31 -
name: string
Advanced property nameExample:
RolloverQuestionStudyId -
rules: array
rules
Advanced property rules list.
-
type: string
Advanced property type.Example:
RolloverQuestion -
value: string
Advanced property value. For example, rollover study UUIDExample:
B1B8327AFAA6412287106192AB5984EF
Nested Schema : rules
Type:
arrayAdvanced property rules list.
Show Source
-
Array of:
object FormItemAdvancedPropRuleDto v21.0
Title:
FormItemAdvancedPropRuleDto v21.0Form Item Advanced Property Rule
Example:
[
{
"name":"RolloverQuestionAnswer",
"value":"B1B8327AFAA6412287106192AB5984EF",
"label":"Yes"
}
]Nested Schema : FormNumberItemDto v21.0-allOf[1]
Type:
Show Source
object-
precision: integer
(int32)
Minimum Value:
0Number value precisionExample:1 -
units: string
Units of measureExample:
kg
Nested Schema : FormChoiceItemDto v21.0-allOf[1]
Type:
Show Source
object-
advancedProps: array
advancedProps
-
clDescription: string
Minimum Length:
0Maximum Length:4000Codelist description only for choice type formitemExample:Standard gender codelist -
clTitle: string
Codelist title only for choice type formitemExample:
Gender -
codelistId: string
(uuid)
ID of the codelist used in the question
-
codelistLang: string
Language of the codelist used in the questionExample:
en-US -
codelistType: string
Allowed Values:
[ "STATIC, DYNAMIC" ]Form items field to indicate dynamic or static variant of the codelist mapped to item. -
columnLayout: string
Coumn Layout codelist IDExample:
EBCF17C5F8D4460AA4A9673485C79CF0 -
columnLayoutLabel: string
Coumn Layout Label in UIExample:
Single -
display: string
Pattern:
selectbox|checkbox|radioset|labelForm choice item display in UI - Selectbox.Example:selectbox -
isCodeListReplaced: boolean
Indicates if the choice option codelist is replacedExample:
true -
options: array
options
Nested Schema : advancedProps
Type:
Show Source
array-
Array of:
object From Item Advanced Property With Parent v21.0
Title:
From Item Advanced Property With Parent v21.0Form Item Advanced Property with Parent Info
Nested Schema : options
Type:
Show Source
array-
Array of:
object FormOptionDto v21.0
Title:
FormOptionDto v21.0Form choice item option details
Nested Schema : FormOptionDto v21.0
Type:
objectTitle:
FormOptionDto v21.0Form choice item option details
Show Source
-
clCode: string
Codelist code for a one specific choice.Example:
1 -
clDescription: string
Minimum Length:
1Maximum Length:4000Codelist description for a one specific choice.Example:1 -
clItemId: string
(uuid)
Codelist item id for a one specific choice.
-
clValue: string
Codelist value for a one specific choice.Example:
1 - hidden: boolean
-
label: string
Minimum Length:
1Maximum Length:4000Form choice selectbox label for a one specific choice.Example:Female -
optionSeq: string
Minimum Length:
1Maximum Length:4000Form choice sequence value for a one specific choice.Example:1 -
value: string
Minimum Length:
1Maximum Length:4000Form choice selectbox value for a one specific choice.Example:1
Nested Schema : FormTextItemDto v21.0-allOf[1]
Type:
Show Source
object-
maxlength: integer
(int32)
Minimum Value:
0Maximum Value:4000Form text item max lengthExample:4000 -
multiline: boolean
Is form text item multilineExample:
false
Nested Schema : FormDatetimeItemDto v21.0-allOf[1]
Type:
Show Source
object-
allowFutureDate: integer
(int32)
Minimum Value:
0Maximum Value:1Allow future dateExample:1 -
allowPartialDate: integer
(int32)
Minimum Value:
0Maximum Value:1Allow partial dateExample:1 -
format: string
Date time formatExample:
DD-MON-YYYY -
partialDate: string
Partial date formatExample:
Jan-1993
Nested Schema : items
Type:
Show Source
array-
Array of:
object FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Form Item Information
Nested Schema : FormLabelItemDto-allOf[1]
Type:
Show Source
object-
advancedProps: array
advancedProps
-
clDescription: string
Minimum Length:
0Maximum Length:4000Codelist description only for choice type formitemExample:Standard gender codelist -
clTitle: string
Codelist title only for choice type formitemExample:
Gender -
codelistId: string
(uuid)
ID of the codelist used in the question
-
codelistLang: string
Language of the codelist used in the questionExample:
en-US -
codelistType: string
Allowed Values:
[ "STATIC, DYNAMIC" ]Form items field to indicate dynamic or static variant of the codelist mapped to item. -
columnLayout: string
Coumn Layout codelist IDExample:
EBCF17C5F8D4460AA4A9673485C79CF0 -
columnLayoutLabel: string
Coumn Layout Label in UIExample:
Single -
display: string
Pattern:
selectbox|checkbox|radioset|labelForm choice item display in UI - Selectbox.Example:selectbox -
isCodeListReplaced: boolean
Indicates if the choice option codelist is replacedExample:
true -
options: array
options
Nested Schema : advancedProps
Type:
Show Source
array-
Array of:
object From Item Advanced Property With Parent v21.0
Title:
From Item Advanced Property With Parent v21.0Form Item Advanced Property with Parent Info
Nested Schema : options
Type:
Show Source
array-
Array of:
object FormOptionDto v21.0
Title:
FormOptionDto v21.0Form choice item option details
Nested Schema : FormInstructionalTextItemDto v21.0-allOf[1]
Type:
Show Source
object-
instructionalText: string
Instructional text contentExample:
Please fill this form carefully
Nested Schema : FormExistingDataItemDtov21-allOf[1]
Type:
Show Source
object-
codeName: string
Codelist name for existing data, must be a value from ExistingDataLabels codelistExample:
EDLSite -
codeValue: string
Codelist value specifying existing data, must be a value from codelist defined in codeNameExample:
SiteName
Nested Schema : FormLinkFromDto v21.0
Type:
objectTitle:
FormLinkFromDto v21.0Linked From Form Details
Show Source
-
formId: string
(uuid)
Form ID (UUID).
-
items: array
items
Linked parent item details.
-
parentAssignedVisits: array
parentAssignedVisits
Parent assigned visit details.
Example:
[
{
"formId":"B1B8327AFAA6412287106192AB5984EF",
"items":[
{
"id":"B1B8327AFAA6412287106192AB5984EA",
"label":"PARENT_ITEM"
}
],
"parentAssignedVisits":[
{
"id":"B1B8327AFAA6412287106192AB5984EB",
"label":"VISIT_1"
}
]
}
]Nested Schema : items
Type:
arrayLinked parent item details.
Show Source
-
Array of:
object From Item Advanced Property With Parent v21.0
Title:
From Item Advanced Property With Parent v21.0Form Item Advanced Property with Parent Info
Example:
[
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"label":"PARENT_ITEM"
}
]Nested Schema : parentAssignedVisits
Type:
arrayParent assigned visit details.
Show Source
-
Array of:
object From Item Advanced Property With Parent v21.0
Title:
From Item Advanced Property With Parent v21.0Form Item Advanced Property with Parent Info
Example:
[
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"label":"VISIT_1"
}
]Examples
500 Response
Unexpected server error while retrieving visit forms.
Nested Schema : details
Type:
object